Subject: RE: drat-martini-l2circuit-enacap/trans-mpls

From: [email-masked]
Date: Thu, 7 Dec 2000 12:31:48 -0000

Shahram......There are lots of problems with OAM cells in ATM.  They are far
too long winded to go into on mail here, but if anyone wants to know talk to
me at San Diego or give me a call on +44 1 604 820 724.  We will need OAM
for MPLS (user-plane), and this should learn from the ATM history.

neil

> -----Original Message-----
> From:	Shahram Davari [SMTP:[email-masked]]
> Sent:	Tuesday, December 05, 2000 6:45 PM
> To:	[email-masked]'
> Subject:	drat-martini-l2circuit-enacap/trans-mpls
> 
> Hi,
> 
> I have some questions from the authors of these drafts.
> 
> 1) Section 5.2.1 of the Encap draft says:
> 
>  "A router that does not support transport of OAM cells MUST discard
> incoming MPLS frames on an ATM VC LSP that contain an ATM cell with the
> high-order bit of the PTI set to 1".
> 
> Since in the MPLS network, only the ingress LSR and egress LSR are ware of
> the existence of OAM cells, and since the egress LSR does not need to do
> any thing special for the received OAM cells from the user data cells,  I
> assume by "router" the authors mean ingress LSR. If so then why does it
> says "incoming MPLS frames"?
> 
> 2) Section 4.2.1 of the Trans draft says:
> 
> "A router that does not support transport of ATM cells MUST discard
> incoming MPLS frames on an ATM VC LSP that contain a control word with the
> T bit set. 
> 
> This section looks very similar to section 5.2.1 of the Encap draft, while
> this specific sentence is completely different. Is there a mistake or it
> is correct? If it is correct then why is this subject in the OAM section?
> Sine the sentence is talking about received MPLS frames, it seems that it
> is talking about an egress LSR, but why should an egress LSR that can't
> support ATM distribute the VC label in the first place?
> 
> 3) Section 5.2.1 of Encap draft and section 4.2.1 of Trans draft say:
> "The LSR MAY optionally be configured to periodically generate F5
> end-to-end loop back OAM cells on a VC. ... If the LSR fails to receive a
> response to an F5 end-to-end loop back OAM cell for a pre-defined period
> of time it MUST withdraw the label mapping for the VC."
> Is this talking about ingress LSR or egress LSR?
> 4) Section 5.2.1 of Encap draft and section 4.2.1 of Trans draft say:
> "If an ingress LSR receives an AIS F5 OAM cell, fails to receive a
> pre-defined number of the End-to-End loop OAM cells, or a physical
> interface goes down, it MUST withdraw the label mappings for all VCs
> associated with the failure. When a VC label mapping is withdrawn, the
> egress LSR SHOULD generate AIS F5 OAM cells on the VC associated with the
> withdrawn label mapping. "
> I always thought that LDP label withdrawal is initiated from downstream
> (egress). Could you please explain how the ingress LSR can withdraw a
> label that doesn't belong to it?
> 
> 5) Section 5.2.1 of Encap draft says:
> 
> "A router that supports transport of OAM cells MUST follow the procedures
> outlined in [7] section 8 for mode 0 only"
> I think it needs to be mentioned that performance OAM cells can't be used
> with the AAL5 based transmission (due to possible displacement).
> Regards,
> Shahram Davari
> Systems Engineer
> Product Research Group
> PMC-Sierra, Inc. (Ottawa)
> Phone: (613) 271-4018
> Fax:    (613) 271-7007

---

From: Luca Martini <[email-masked]>
Date: Mon, 18 Dec 2000 17:07:16 -0700

> for MPLS (user-plane), and this should learn from the ATM history.
I agree, and we are adressing them.

Luca

-- 
Just say no to summer. Ski all year !
Luca Martini Senior Network Architect, Level 3 Communications -
Broomfield, CO
[email-masked] | VE2WKR/W0 | Phone 720-888-1225 | pager
[email-masked]